Name: gateway
Host: 0.0.0.0
Port: 8888

Cache:
  - Host: 127.0.0.1:6379
    type: node
CacheExpireTime: 1s
CacheWithNotFoundExpiry: 1s
RedisConf:
  Host: 127.0.0.1:6379
  Type: node
  Pass: ""
  Tls: false
Mongo:
  Schema: mongodb
  Host: "127.0.0.1:27017"
  User: "root"
  Password: "example"
  Port: ""
  Database: digimon_member
  ReplicaName: "rs0"
  MaxStaleness: 30m
  MaxPoolSize: 30
  MinPoolSize: 10
  MaxConnIdleTime: 30m
  Compressors:
    - f
  EnableStandardReadWriteSplitMode: true
  ConnectTimeoutMs     : 300
Bcrypt:
  Cost: 10
GoogleAuth:
  ClientID: xxx.apps.googleusercontent.com
  AuthURL: x
LineAuth:
  ClientID : "200000000"
  ClientSecret : xxxxx
  RedirectURI : http://localhost:8080/line.html
Token:
  AccessSecret         : "1qaz@WSX3edc$RFV"
  RefreshSecret        : "1qaz@WSX3edc$RFV"
  AccessTokenExpiry    : 600s
  RefreshTokenExpiry   : 86400s
  OneTimeTokenExpiry  : 600s
  MaxTokensPerUser    : 2
  MaxTokensPerDevice  : 2
RoleConfig:
  UIDPrefix: "AM"
  UIDLength: 6
  AdminRoleUID: "AM000000"
  AdminUserUID: "B000000"
  DefaultRoleName: "USER"
SMTPConfig:
  Enable:  true
  GoroutinePoolNum: 1000
  Host:             smtp.mailgun.org
  Port:             465
  Username:         postmaster@code.30cm.net
  Password:         595da25c2a44ef2629ba92bf88ae94f1-02300200-af1d3b04
  Sender:           daniel.wang@code.30cm.net
  SenderName:      "Digimon 平台"
DeliveryConfig:
  max_retries :   5
  initial_delay : 500ms
  backoff_factor: 2.0
  max_delay :    5000ms
  Timeout:       1000ms
  enable_history: false
AmazonS3Settings:
  Region: ap-northeast-3
  Bucket: gutenbergtw-prod
  CloudFrontDomain: d2gk3kpttfhhhf.cloudfront.net
  CloudFrontURI: https://d2gk3kpttfhhhf.cloudfront.net
  BucketURI: https://gutenbergtw-prod.s3.ap-northeast-3.amazonaws.com
  AccessKey: AKIAVRUVVY4IJOBFOY42
  SecretKey: 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
  CloudFrontID: E3UMOQ0CGBOBAE